/*
  io_atari.h

  For C8zy.  I/O for Atari.
  Bill Kendrick <bill@newbreedsoftware.com>

  2025-03-09 - 2025-03-09
*/

#ifndef IO
#define IO

enum {
  CMD_NONE,
  CMD_DIR_UP,
  CMD_DIR_RIGHT,
  CMD_DIR_DOWN,
  CMD_DIR_LEFT,
  CMD_GATHER,
  CMD_PLACE,
  CMD_USE,
  CMD_CRAFT,
  CMD_EAT,
  CMD_QUIT,
};

void io_init(void);
void io_draw_stats(void);
void io_draw_inventory(unsigned char selected[]);
void io_draw_map(void);
void io_show_msg(char * msg);
void io_get_dir(char * prompt, int * wx, int * wy);
unsigned char io_get_cmd(void);
unsigned char io_get_item_idx(char * prompt);
unsigned char io_get_craft_item_idx(char * prompt);

#endif
