/*
  items.c

  For C8zy.  Items you can hold.
  Bill Kendrick <bill@newbreedsoftware.com>

  2025-03-01 - 2025-03-01
*/

#include "items.h"
#include "shapes.h"

char * item_names[NUM_ITEMS] = {
  "EMPTY",
  "DIRT",
  "SAND",
  "WATER",
  "GRASS",
  "FLOWER",
  "FLOWER",
  "FLOWER",
  "FLOWER",
  "MELON",
  "MELON",
  "SEEDS", /* FIXME */
  "SEEDS", /* FIXME */
  "LOG",
  "YELLOW GEM",
  "GREEN GEM",
  "BLUE GEM",
  "RED GEM",
  "BLACK GEM",
  "ROCK",
  "LEAVES",
  "FRUIT",
  "CRAB",
  "COOKED CRAB",
  "FISH",
  "COOKED FISH",
  "FISH BONES",
  "SNAIL",
  "SHELL",
  "FLOUR",
  "DOUGH",
  "BREAD",
  "AX",
  "HAMMER",
  "MUD",
  "BRICK",
  "ROPE",
  "PLANK",
  "BEAMS",
  "GLASS",
};

/* What items (ITEM_...) can you drop onto dirt (SH_DIRT),
   and how do they appear on (or affect) the map (SH_...)? */
unsigned char droppable_items[][2] = {
  { ITEM_DIRT,      SH_MOUND},
  { ITEM_MUD,       SH_MOUND},
  { ITEM_SAND,      SH_SAND},
  { ITEM_SEEDS_A,   SH_SEEDS_A},
  { ITEM_SEEDS_B,   SH_SEEDS_B},
  { ITEM_LOG,       SH_LOG},
  { ITEM_GEM_1,     SH_GEM_1},
  { ITEM_GEM_2,     SH_GEM_2},
  { ITEM_GEM_3,     SH_GEM_3},
  { ITEM_GEM_4,     SH_GEM_4},
  { ITEM_GEM_5,     SH_GEM_5},
  { ITEM_ROCK,      SH_ROCK_SM},
  { ITEM_LEAVES,    SH_LEAVES},
  { ITEM_CRAB,      SH_CRAB},
  { ITEM_CRAB_COOK, SH_CRAB_COOK},
  { ITEM_FISH,      SH_FISH_BONE},
  { ITEM_FISH_COOK, SH_FISH_COOK},
  { ITEM_FISH_BONE, SH_FISH_BONE},
  { ITEM_SNAIL,     SH_SNAIL},
  { ITEM_SHELL,     SH_SHELL},
  { ITEM_BREAD,     SH_BREAD},
  { ITEM_BRICK,     SH_BRICK},
  { ITEM_PLANK,     SH_PLANK},
  { ITEM_BEAMS,     SH_FENCE},

  { ITEM_NONE, SH_DIRT }, /* marks the end of the list */
};

/* Edible items, and how they affect (improve) hunger & thirst */
unsigned char food[][3] = {
  { ITEM_SAND,       +0 + 127, -64 + 127},
  { ITEM_WATER,      +0 + 127, +12 + 127},
  { ITEM_MELON_A,    +6 + 127,  +6 + 127},
  { ITEM_MELON_B,    +6 + 127,  +6 + 127},
  { ITEM_FRUIT,      +4 + 127,  +2 + 127},
  { ITEM_CRAB_COOK, +12 + 127,  +0 + 127},
  { ITEM_FISH_COOK,  +8 + 127,  +0 + 127},
  { ITEM_SNAIL,      +2 + 127,  +0 + 127},
  { ITEM_BREAD,     +12 + 127,  -6 + 127},

  { ITEM_NONE,              0,         0}, /* marks the end of the list */
};
