/*
  player.h

  For C8zy.  Player data and logic.
  Bill Kendrick <bill@newbreedsoftware.com>

  2025-03-01 - 2025-03-01
*/

#ifndef PLAYER_H
#define PLAYER_H

enum {
  DIR_UP,
  DIR_RIGHT,
  DIR_DOWN,
  DIR_LEFT
};

#define TIRED_MOVE 1
#define TIRED_GATHER 2
#define TIRED_DROP 1

#define MAX_ITEMS 16

extern int px, py;
extern int hunger, thirst, tired;

extern unsigned char items[MAX_ITEMS];

void player_init(void);
int walkable(unsigned char ch);
int get_free_item_slot(void);
void player_move(unsigned char dir);

#define EAT_BAD -1
#define EAT_GOOD 0
int player_eat(int item);

#endif
