/*
  shapes.h

  For C8zy.  Constants that define each shape in the game.
  Bill Kendrick <bill@newbreedsoftware.com>

  2025-02-25 - 2025-03-02
*/

#ifndef SHAPES_H
#define SHAPES_H

#define SH_COLOR_BLUE 128

/* Shapes (as first byte of screen character codes for each) */
/* --------------------------------------------------------- */
#define SH_DIRT       0x00
#define SH_SAND       0x02
#define SH_WATER_SHAL (0x04 | SH_COLOR_BLUE)
#define SH_WATER_DEEP (0x06 | SH_COLOR_BLUE)
#define SH_GRASS      0x08
#define SH_MOUND      0x0A
#define SH_SPROUT     0x0C
#define SH_FLOWER1_A  0x0E
#define SH_FLOWER1_B  (0x0E | SH_COLOR_BLUE)
#define SH_FLOWER2_A  0x10
#define SH_FLOWER2_B  (0x10 | SH_COLOR_BLUE)
#define SH_MELON_A    0x12
#define SH_MELON_B    (0x12 | SH_COLOR_BLUE)
#define SH_SEEDS_A    0x14
#define SH_SEEDS_B    (0x14 | SH_COLOR_BLUE)
/*
0x16
0x18
0x1A
0x1C
0x1E
*/

#define SH_BRICK      0x20
#define SH_PLANK      0x22
#define SH_WINDOW     0x24
#define SH_DOOR       0x26
#define SH_FIRE       0x28
#define SH_LOG        0x2A
#define SH_FENCE      0x2C
#define SH_BRIDGE     0x2E
/*
0x30
0x32
0x34
0x36
0x38
0x3A
0x3C
0x3E
*/

#define SH_GEM_1      0x40
#define SH_GEM_2      0x42
#define SH_GEM_3      0x44
#define SH_GEM_4      (0x44 | SH_COLOR_BLUE)
#define SH_GEM_5      0x46
#define SH_ROCK_SM    0x48
#define SH_ROCK_LG    0x4A
#define SH_TREE       0x4C
#define SH_TREE_BARE  0x4E
#define SH_TREE_BURNT 0x50
#define SH_TREE_FRUIT 0x52
#define SH_LEAVES     0x54
/*
0x56
0x58
0x5A
0x5C
0x5E
*/

#define SH_CRAB       0x60 /* FIXME: Different colors? */
#define SH_CRAB_COOK  0x62
#define SH_FISH       (0x64 | SH_COLOR_BLUE)
#define SH_FISH_COOK  0x66
#define SH_FISH_BONE  0x68
#define SH_SNAIL      (0x6A | SH_COLOR_BLUE) /* FIXME: Different colors? */
#define SH_SHELL      0x6C /* FIXME: Different colors? */
#define SH_BREAD      0x6E
/*
0x70
0x72
0x74
0x76
0x78
0x7A
0x7C
*/
#define SH_YOU        0x7E


extern unsigned char walkable_shapes[];

extern unsigned spreading_shapes[];

extern unsigned growing_shapes[][2];

extern unsigned moving_shapes[][3];

#endif
